> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Top Product Metrics

> Get Top Product Metrics



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/top-products/metrics
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/top-products/metrics:
    get:
      tags:
        - Trending
      summary: Get Top Product Metrics
      description: Get Top Product Metrics
      operationId: getApiTrendingTop-productsMetrics
      parameters:
        - in: query
          name: product_id
          schema:
            type: string
            pattern: ^\d+$
            description: Product ID
            example: '601226'
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      info:
                        type: object
                        properties:
                          comment:
                            type: number
                            description: ''
                            example: 72
                          cost:
                            type: number
                            description: ''
                            example: 4660
                          cover_url:
                            type:
                              - string
                              - 'null'
                            description: ''
                            example: null
                          cpa:
                            type: number
                            description: ''
                            example: 3.22
                          ctr:
                            type: number
                            description: ''
                            example: 2.16
                          cvr:
                            type: number
                            description: ''
                            example: 7.76
                          ecom_type:
                            type: string
                            description: ''
                            example: '13'
                          first_ecom_category:
                            type: object
                            properties:
                              id:
                                type: string
                                description: ''
                                example: '605196'
                              label:
                                type: string
                                description: ''
                                example: category_605196
                              value:
                                type: string
                                description: ''
                                example: Automotive & Motorbike
                          impression:
                            type: number
                            description: ''
                            example: 1740000
                          like:
                            type: number
                            description: ''
                            example: 3004
                          play_six_rate:
                            type: number
                            description: ''
                            example: 8.94
                          post:
                            type: number
                            description: ''
                            example: 123
                          post_change:
                            type: number
                            description: ''
                            example: 2.13
                          second_ecom_category:
                            type: object
                            properties:
                              id:
                                type: string
                                description: ''
                                example: '940808'
                              label:
                                type: string
                                description: ''
                                example: category_940808
                              parent_id:
                                type: string
                                description: ''
                                example: '605196'
                              value:
                                type: string
                                description: ''
                                example: Vehicle Washing & Maintenance
                          share:
                            type: number
                            description: ''
                            example: 109
                          third_ecom_category:
                            type: object
                            properties:
                              id:
                                type: string
                                description: ''
                                example: '940808'
                              label:
                                type: string
                                description: ''
                                example: category_940808
                              parent_id:
                                type: string
                                description: ''
                                example: '605196'
                              value:
                                type: string
                                description: ''
                                example: Vehicle Washing & Maintenance
                          url_title:
                            type: string
                            description: ''
                            example: Cleaning-Care-Fluids
                          ctr_metrics:
                            type: array
                            items:
                              type: object
                              properties:
                                time:
                                  type: number
                                  description: ''
                                  example: 1763251200
                                value:
                                  type: number
                                  description: ''
                                  example: 3.73
                          post_metrics:
                            type: array
                            items:
                              type: object
                              properties:
                                time:
                                  type: number
                                  description: ''
                                  example: 1763251200
                                value:
                                  type: number
                                  description: ''
                                  example: 3.73
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````